CC = g++
SDL_ROOT = lib/i686-w64-mingw32

build/phys.exe: build/main.o
	$(CC) -o $@ $^ -L$(SDL_ROOT)/lib -lmingw32 -lSDL2main -lSDL2 -lSDL2_ttf -mwindows
build/main.o: main.cpp
	$(CC) -c -o $@ $^ -I$(SDL_ROOT)/include/SDL2

run: build/phys.exe
	cd ./build && ./$(notdir $<); cd ..
    
clear:
	-rm ./build/*.o
	-rm ./build/*.exe 
